upper_32_bits
Prev | Kernel utility functions | Next

## Name

upper_32_bits — return bits 32-63 of a number

## Synopsis

`upper_32_bits (` |  | n`)`;

## Arguments

`n`

  the number we're accessing

## Description

A basic shift-right of a 64- or 32-bit quantity. Use this to suppress the “right shift count >= width of type” warning when that quantity is 32-bits.

Prev | Up | Next
Kernel utility functions | Home | container_of